Subject: Re: bug#14204: Interested in joining savannah emacs project

From: Stefan Kangas <[email-masked]>
Date: Wed, 21 Aug 2019 01:35:30 +0200

Justine Alexandra Roberts Tunney <[email-masked]> writes:

> Looking into things, it seems like the process for getting this
> approved with my employer is onerous. I'm currently really busy at
> work so it might be another few weeks before I can submit everything.

Did you ever get the copyright papers sorted out?

> On Sun, Apr 14, 2013 at 8:59 PM, Reuben Thomas <[email-masked]> wrote:
>
>  On 15 April 2013 01:56, Stefan Monnier <[email-masked]> wrote:
>
>  > Hello, I'm the maintainer of the ELPA package coffee-mode. I'd like to have
>  > access to the bzr repository so I can keep the emacs source file up to date
>  > from the development that's been done on GitHub.
>
>  Thanks.  [ I really wish people could just use `elpa' as the main
>  repository so we don't have to constantly deal with such synchronization.  ]
>
>  You installed the sources originally and they've not been updated
>  since; is there anything to be done?

>From this page:
https://elpa.gnu.org/packages/coffee-mode.html

We are linking here:
https://github.com/defunkt/coffee-mode

Which says:
> Installation via package.el
>
> coffee-mode is available on MELPA and MELPA-STABLE.
>
> You can install coffee-mode with the following command.
>
> M-x package-install [RET] coffee-mode [RET]
>
> Please do not install GNU Emacs Lisp Package Archive version.
>
> It's too old and many features(Block string, block comment etc) are not implemented.

The version on GNU ELPA was last updated in 2013.  On the other hand,
the GitHub repository has seen updates as late as March 2017.

Should the GNU ELPA package really be kept around if it is
unmaintained and not recommended by the author?  What's the way
forward here?

Thanks,
Stefan Kangas